<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "");

require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	
	global $settings, $main_style, $locale;

	add_to_head("<style type='text/css'>
.matrix { font-family:Courier, Monotype; font-size:15pt; text-align:center; width:15px; padding:0px; margin:0px;}
</style>");
	add_to_head("<script type='text/javascript' src='".THEME."matrix.js'></script>");
	add_to_head("<script type='text/javascript' src='".THEME."scrolltopcontrol.js'></script>");

	//Header
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='full-header'>\n".showbanners()."</td>\n";
	echo "<td align='right'>\n<div id='matrix'>".$settings['sitename']."</div></td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-header'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "</tr>\n</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-header'><span style='float: left;'>Theme Designed by <a href='http://ankurthakur.in/' target='_blank' class='white'><b>Ankur Thakur</b></a></span><span style='float: right; letter-spacing: 2px; font-weight: bold;'>".showcounter()."</span></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='98%' align='center'>\n<tr>\n";
	echo "<td align='center' class='main-footer'>".stripslashes($settings['footer']);
	if (!$license) { echo "<br />".showcopyright(); }
	echo "</td>\n";
	echo "</tr>\n</table>\n";
}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='98%' align='center' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='94%' align='center' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td width='50%' align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='98%' align='center' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='94%' align='center' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='98%' align='center' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='90%' align='center' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>
